Monitor (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena

## Class Monitor

- java.lang.Object
- - siena.Monitor

-     public class Monitor
      extends java.lang.Object

  Monitor is a logging facility that can be used in conjunction with the Siena Monitor.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte[]` | `AntoNode` a smiley face
    `static byte[]` | `ObjectNode` a node representing a generic object
    `static byte[]` | `SienaNode` a node representing a Siena server
    `static byte[]` | `ThinClientNode` a node representing a thin client

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Monitor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `add_node(byte[] node)` Signal the creation of a a new node to the monitor uses the Siena server icond, by default
    `static void` | `add_node(byte[] node, byte[] ntype)` Signal a new "node" to the monitor.
    `static void` | `connect(byte[] n1, byte[] n2)` Signal a connection to the monitor.
    `static void` | `disconnect(byte[] n1, byte[] n2)` Signal a disconnection to the monitor.
    `static void` | `notify(byte[] sender, byte[] receiver)` Signal a notification to the monitor.
    `static void` | `remove_node(byte[] node)` Signal the removal of a a new node
    `static void` | `setAddress(java.net.InetAddress address)` sets the address of the Siena Monitor.
    `static void` | `setAddress(java.net.InetAddress address, int port)` sets address and port for the Siena Monitor
    `static void` | `subscribe(byte[] sender, byte[] receiver)` Signal a subscription to the monitor.
    `static void` | `unsubscribe(byte[] sender, byte[] receiver)` Signal an unsubscription to the monitor.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SienaNode

          public static final byte[] SienaNode

      a node representing a Siena server

    - #### ThinClientNode

          public static final byte[] ThinClientNode

      a node representing a thin client

    - #### ObjectNode

          public static final byte[] ObjectNode

      a node representing a generic object

    - #### AntoNode

          public static final byte[] AntoNode

      a smiley face

  - ### Constructor Detail

    - #### Monitor

          public Monitor()

  - ### Method Detail

    - #### setAddress

          public static void setAddress(java.net.InetAddress address)

      sets the address of the Siena Monitor. uses the default port.

    - #### setAddress

          public static void setAddress(java.net.InetAddress address,
                        int port)

      sets address and port for the Siena Monitor

    - #### notify

          public static void notify(byte[] sender,
                    byte[] receiver)

      Signal a notification to the monitor.
      Parameters:
        `sender` - id of the sender
        `receiver` - id of the receiver

    - #### subscribe

          public static void subscribe(byte[] sender,
                       byte[] receiver)

      Signal a subscription to the monitor.
      Parameters:
        `sender` - id of the subscriber
        `receiver` - id of the receiver node

    - #### unsubscribe

          public static void unsubscribe(byte[] sender,
                         byte[] receiver)

      Signal an unsubscription to the monitor.
      Parameters:
        `sender` - id of the subscriber
        `receiver` - id of the receiver node

    - #### connect

          public static void connect(byte[] n1,
                     byte[] n2)

      Signal a connection to the monitor.
      Parameters:
        `n1` - id of the first node
        `n2` - id of the second node

    - #### disconnect

          public static void disconnect(byte[] n1,
                        byte[] n2)

      Signal a disconnection to the monitor.
      Parameters:
        `n1` - id of the first node
        `n2` - id of the second node

    - #### add_node

          public static void add_node(byte[] node,
                      byte[] ntype)

      Signal a new "node" to the monitor.
      Parameters:
        `node` - id of the new node
        `ntype` - type of the new node

    - #### add_node

          public static void add_node(byte[] node)

      Signal the creation of a a new node to the monitor uses the Siena server icond, by default
      Parameters:
        `node` - id of the new node

    - #### remove_node

          public static void remove_node(byte[] node)

      Signal the removal of a a new node
      Parameters:
        `node` - id of the removed node

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga